package com.ruoyi.mall.service;

import java.util.List;
import com.ruoyi.mall.domain.BusinessCoupon;

/**
 * 优惠卷Service接口
 * 
 * @author ruoyi
 * @date 2023-10-25
 */
public interface IBusinessCouponService 
{
    /**
     * 查询优惠卷
     * 
     * @param couponId 优惠卷主键
     * @return 优惠卷
     */
    public BusinessCoupon selectBusinessCouponByCouponId(Long couponId);

    /**
     * 查询优惠卷列表
     * 
     * @param businessCoupon 优惠卷
     * @return 优惠卷集合
     */
    public List<BusinessCoupon> selectBusinessCouponList(BusinessCoupon businessCoupon);

    /**
     * 新增优惠卷
     * 
     * @param businessCoupon 优惠卷
     * @return 结果
     */
    public int insertBusinessCoupon(BusinessCoupon businessCoupon);

    /**
     * 修改优惠卷
     * 
     * @param businessCoupon 优惠卷
     * @return 结果
     */
    public int updateBusinessCoupon(BusinessCoupon businessCoupon);

    /**
     * 批量删除优惠卷
     * 
     * @param couponIds 需要删除的优惠卷主键集合
     * @return 结果
     */
    public int deleteBusinessCouponByCouponIds(Long[] couponIds);

    /**
     * 删除优惠卷信息
     * 
     * @param couponId 优惠卷主键
     * @return 结果
     */
    public int deleteBusinessCouponByCouponId(Long couponId);
}
